{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function msg, post_event, utility\r\ndeclare subroutine rlist\r\ndeclare subroutine btree.extract\r\n$insert lsl_users_equ\r\n$insert msg_equates\r\n$insert rlist_equates\r\n\r\nCrLf = Char(13):Char(10)\r\nStmt = .Slist_Script->text\r\n\r\nIf Len(Stmt) = 0 Then\r\n   Void = msg( '', '', ' has nothing in it...' )\r\n   Void = post_event( @window:'.REPORT_ID', 'GOTFOCUS' )\r\n   return 0\t\r\nEnd\r\n\r\n*Pick up Record Count. \r\nRecCount = .record_count->Text\r\n*See if there is a Record Count. If not make it 100. \r\nIf RecCount < 1 Then RecCount = 100\r\n*Add The Record Count to run with to the statement. \r\nStmt[1,4] = \"LIST \":RecCount\r\nSwap \"~CURRDATE~\" With Oconv(Date(),'D4/') In Stmt\r\nSwap \"~CurrDate~\" With Oconv(Date(),'D4/') In Stmt\r\nSwap \"~ORDERBY~\" With '' In Stmt\r\nSwap \"~OrderBy~\" With '' In Stmt\r\nSwap \"~entry_date_filter~, ~cust_no_filter~\" With '' in Stmt \r\nFor K = 1 to 50\r\n   Swap \"~Limit\":K:\"~\" With '' in Stmt \r\nNext   \r\n\r\nOsWrite Stmt To \"C:\\SlstScrp.Txt\"\r\n\r\nVoid = utility( 'CURSOR', 'H' )\r\n\r\ncall Slist( Stmt )\r\n\r\nVoid = utility( 'CURSOR', 'A' )\r\n\r\nRETURN 0\r\n"
        }
    }
}